xmonad-contrib-0.13: Third party extensions for xmonad

Copyright | (c) Justin Bogner 2010
License | BSD3-style (see LICENSE)
Maintainer | Justin Bogner <mail@justinbogner.com>
Stability | unstable
Portability | not portable
Safe Haskell | None
Language | Haskell98

XMonad.Hooks.Minimize

Contents

- Usage

Description

Handles window manager hints to minimize and restore windows. Use this with XMonad.Layout.Minimize.

Synopsis

- minimizeEventHook :: Event -> X All

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Hooks.Minimize
    import XMonad.Layout.Minimize

    myHandleEventHook = minimizeEventHook
    myLayout = minimize (Tall 1 (3/100) (1/2)) ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout
                      , handleEventHook = myHandleEventHook }

minimizeEventHook :: Event -> X All #